import numpy, cv2

f = cv2.imread('lena_blurred.png').astype(numpy.float)
sigma, gamma = 1.0, 3.0

f_blurred = cv2.GaussianBlur(f, (0,0), sigma)
g_sharp = numpy.maximum(numpy.minimum(f + gamma*(f-f_blurred), 255.0), .0)

cv2.imshow('Original', f.astype(numpy.uint8))
cv2.imshow('Result', g_sharp.astype(numpy.uint8))
while 1:
    if cv2.waitKey() == 0x1b:
        break
    
cv2.destroyAllWindows()
